/**
 * Relevant OIDS.
 *
 * See the `pg_catalog.pg_type` table, or the values listed in the sources at:
 * https://github.com/postgres/postgres/blob/master/src/include/catalog/pg_type.dat
 */
export declare const PGOIDs: {
    readonly bool: 16;
    readonly bytea: 17;
    readonly int8: 20;
    readonly int2: 21;
    readonly int4: 23;
    readonly oid: 26;
    readonly json: 114;
    readonly point: 600;
    readonly float4: 700;
    readonly float8: 701;
    readonly circle: 718;
    readonly varchar: 1043;
    readonly timestamp: 1114;
    readonly timestamptz: 1184;
    readonly interval: 1186;
    readonly numeric: 1700;
    readonly jsonb: 3802;
    readonly _bool: 1000;
    readonly _bytea: 1001;
    readonly _int8: 1016;
    readonly _int2: 1005;
    readonly _int4: 1007;
    readonly _oid: 1028;
    readonly _json: 199;
    readonly _point: 1017;
    readonly _float4: 1021;
    readonly _float8: 1022;
    readonly _circle: 719;
    readonly _timestamp: 1115;
    readonly _timestamptz: 1185;
    readonly _interval: 1187;
    readonly _numeric: 1231;
    readonly _jsonb: 3807;
    readonly _cidr: 651;
    readonly _money: 791;
    readonly _regproc: 1008;
    readonly _text: 1009;
    readonly _bpchar: 1014;
    readonly _varchar: 1015;
    readonly _macaddr: 1040;
    readonly _inet: 1041;
    readonly _date: 1182;
    readonly _time: 1183;
    readonly _timetz: 1270;
    readonly _uuid: 2951;
    readonly int4range: 3904;
    readonly numrange: 3906;
    readonly tsrange: 3908;
    readonly tstzrange: 3910;
    readonly daterange: 3912;
    readonly int8range: 3926;
    readonly _int4range: 3905;
    readonly _numrange: 3907;
    readonly _tsrange: 3909;
    readonly _tstzrange: 3911;
    readonly _daterange: 3913;
    readonly _int8range: 3927;
    readonly void: 2278;
    readonly xid: 28;
    readonly xid8: 5069;
    readonly _xid: 1011;
    readonly _xid8: 271;
};
/** Supported PostgreSQL OIDs */
export type PGOIDs = typeof PGOIDs;
/** Supported type _names_ as defined in the `pg_catalog.pg_type` table */
export type PGTypeName = keyof PGOIDs;
