// parsers/bytea.ts
function parseEncoded(input) {
  const array = new Uint8Array((input.length - 2) / 2);
  let index = 0;
  for (let i = 2; i < input.length; i += 2) {
    array[index++] = parseInt(input.substring(i, i + 2), 16);
  }
  return array;
}
function parseEscaped(input, Buffer) {
  const result = new Uint8Array(input.length);
  let pos = 0;
  for (let i = 0; i < input.length; i++) {
    const code = input.charCodeAt(i);
    if (code !== 92) {
      result[pos++] = code;
    } else {
      const token = input.substring(i + 1, i + 4);
      if (/[0-7]{3}/.test(token)) {
        result[pos++] = parseInt(token, 8);
        i += 3;
      } else {
        let backslashes = 1;
        for (let char = input[++i]; i < input.length && char === "\\"; char = input[++i])
          backslashes++;
        result.fill(92, pos, pos += backslashes >>> 1);
        i--;
      }
    }
  }
  return Buffer ? Buffer.from(result.subarray(0, pos)) : result.slice(0, pos);
}
function parseByteA(input, Buffer = globalThis.Buffer) {
  if (input.startsWith("\\x")) {
    return Buffer ? Buffer.from(input.substring(2), "hex") : parseEncoded(input);
  } else {
    return parseEscaped(input, Buffer);
  }
}
export {
  parseByteA
};
//# sourceMappingURL=bytea.mjs.map
