"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// parsers/geometric.ts
var geometric_exports = {};
__export(geometric_exports, {
  PGCircle: () => PGCircle,
  PGPoint: () => PGPoint,
  parseCircle: () => parseCircle,
  parsePoint: () => parsePoint
});
module.exports = __toCommonJS(geometric_exports);
var PGPoint = class PGPointImpl {
  constructor(x, y) {
    this.x = x;
    this.y = y;
  }
  toPostgres() {
    return `(${this.x},${this.y})`;
  }
};
var PGCircle = class PGCircleImpl extends PGPoint {
  constructor(x, y, radius) {
    super(x, y);
    this.radius = radius;
  }
  toPostgres() {
    return `<(${this.x},${this.y}),${this.radius}>`;
  }
};
var INVALID_POINT = new PGPoint(NaN, NaN);
var INVALID_CIRCLE = new PGCircle(NaN, NaN, NaN);
var parsePoint = (value) => {
  if (value[0] !== "(")
    return INVALID_POINT;
  const values = value.substring(1, value.length - 1).split(",");
  return new PGPoint(parseFloat(values[0]), parseFloat(values[1]));
};
var parseCircle = (value) => {
  if (value[0] !== "<" && value[1] !== "(")
    return INVALID_CIRCLE;
  let point = "(";
  let radius = "";
  let pointParsed = false;
  for (let i = 2; i < value.length - 1; i++) {
    if (!pointParsed) {
      point += value[i];
    }
    if (value[i] === ")") {
      pointParsed = true;
      continue;
    } else if (!pointParsed) {
      continue;
    }
    if (value[i] === ",") {
      continue;
    }
    radius += value[i];
  }
  const { x, y } = parsePoint(point);
  return new PGCircle(x, y, parseFloat(radius));
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  PGCircle,
  PGPoint,
  parseCircle,
  parsePoint
});
//# sourceMappingURL=geometric.cjs.map
