import type { PGParser } from '../parsers';
import type { PGSerializable } from '../serializers';
/** A parsed PostgreSQL `point` */
export interface PGPoint extends PGSerializable {
    readonly x: number;
    readonly y: number;
}
/** A parsed PostgreSQL `circle` */
export interface PGCircle extends PGPoint {
    readonly radius: number;
}
/** Constructor for {@link PGPoint} */
export interface PGPointConstructor {
    new (x: number, y: number): PGPoint;
}
/** Constructor for {@link PGCircle} */
export interface PGCircleConstructor {
    new (x: number, y: number, radius: number): PGCircle;
}
/** Create a new {@link PGPoint} instance */
export declare const PGPoint: PGPointConstructor;
/** Create a new {@link PGCircle} instance */
export declare const PGCircle: PGCircleConstructor;
/** Parse a PostgreSQL `point` */
export declare const parsePoint: PGParser<PGPoint>;
/** Parse a PostgreSQL `circle` */
export declare const parseCircle: PGParser<PGCircle>;
