"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// parsers/range.ts
var range_exports = {};
__export(range_exports, {
  PGRange: () => PGRange,
  parseBigintRange: () => parseBigintRange,
  parseBigintRangeArray: () => parseBigintRangeArray,
  parseFloatRange: () => parseFloatRange,
  parseFloatRangeArray: () => parseFloatRangeArray,
  parseIntRange: () => parseIntRange,
  parseIntRangeArray: () => parseIntRangeArray,
  parseRange: () => parseRange,
  parseRangeArray: () => parseRangeArray,
  parseTimestampRange: () => parseTimestampRange,
  parseTimestampRangeArray: () => parseTimestampRangeArray,
  parseTimestampTzRange: () => parseTimestampTzRange,
  parseTimestampTzRangeArray: () => parseTimestampTzRangeArray
});
module.exports = __toCommonJS(range_exports);
var import_postgres_range = __toESM(require("postgres-range"));
var import_array = require("./array.cjs");
var import_basic = require("./basic.cjs");
var PGRange = class PGRangeImpl extends import_postgres_range.default.Range {
  mask;
  constructor(lower, upper, flags) {
    super(lower, upper, flags);
    this.mask = flags;
  }
  toPostgres(serialize) {
    return import_postgres_range.default.serialize(this, serialize);
  }
  static RANGE_EMPTY = import_postgres_range.default.RANGE_EMPTY;
  static RANGE_LB_INC = import_postgres_range.default.RANGE_LB_INC;
  static RANGE_UB_INC = import_postgres_range.default.RANGE_UB_INC;
  static RANGE_LB_INF = import_postgres_range.default.RANGE_LB_INF;
  static RANGE_UB_INF = import_postgres_range.default.RANGE_UB_INF;
};
function parseRange(value, parser = import_basic.parseString) {
  const range = import_postgres_range.default.parse(value, parser);
  return new PGRange(range.lower, range.upper, range.mask);
}
var parseIntRange = (value) => parseRange(value, parseInt);
var parseFloatRange = (value) => parseRange(value, parseFloat);
var parseBigintRange = (value) => parseRange(value, import_basic.parseBigint);
var parseTimestampRange = (value) => parseRange(value, import_basic.parseTimestamp);
var parseTimestampTzRange = (value) => parseRange(value, import_basic.parseTimestampTz);
var parseRangeArray = (value) => (0, import_array.parseArray)(value, parseRange);
var parseIntRangeArray = (value) => (0, import_array.parseArray)(value, parseIntRange);
var parseFloatRangeArray = (value) => (0, import_array.parseArray)(value, parseFloatRange);
var parseBigintRangeArray = (value) => (0, import_array.parseArray)(value, parseBigintRange);
var parseTimestampRangeArray = (value) => (0, import_array.parseArray)(value, parseTimestampRange);
var parseTimestampTzRangeArray = (value) => (0, import_array.parseArray)(value, parseTimestampTzRange);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  PGRange,
  parseBigintRange,
  parseBigintRangeArray,
  parseFloatRange,
  parseFloatRangeArray,
  parseIntRange,
  parseIntRangeArray,
  parseRange,
  parseRangeArray,
  parseTimestampRange,
  parseTimestampRangeArray,
  parseTimestampTzRange,
  parseTimestampTzRangeArray
});
//# sourceMappingURL=range.cjs.map
